Bug 99189 - /etc/mail/statistics should be under /var instead
Summary: /etc/mail/statistics should be under /var instead
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-15 17:42 UTC by Steve Coile
Modified: 2008-12-11 18:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 09:40:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Coile 2003-07-15 17:42:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Sendmail appears to be configured by default to place a state file under /etc
instead of under /var, where state belongs.

Please relocate /etc/mail/statistics to an appropriate location under /var, such
as under /var/run.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. grep statistics /etc/sendmail.cf
2.
3.
    

Actual Results:  ) StatusFile=/etc/mail/statistics

Expected Results:  O StatusFile=/var/run/statistics

Additional info:

Comment 1 Steve Coile 2003-07-22 17:47:42 UTC
Other state files that really should be under /var:

- /etc/adjtime
- /etc/ioctl.save


Comment 2 Florian La Roche 2003-12-13 11:53:03 UTC
- /etc/ioctl.save should be gone with a current Fedora Core install.


Comment 3 Thomas Woerner 2004-01-13 09:40:43 UTC
Fixed in rawhide in rpm sendmail-8.12.10-7 or newer.

The statistics file is located in /var/log/mail, now.


Note You need to log in before you can comment on or make changes to this bug.